INSTALL: update GNU automake/autoconf requirements